#ifndef _COMMON_H_
#define _COMMON_H_

#define Q(x) #x
#define QUOTE(x) Q(x)

#if PCB_REV == 2
    #define GPIO_BUTTON D7
    #define GPIO_LED D8
    #define GPIO_TRIGGER D6
    #define GPIO_PUMP D5
#elif PCB_REV == 1 || PCB_REV == 3
    #define GPIO_BUTTON D5
    #define GPIO_LED D6
    #define GPIO_TRIGGER D4
    #define GPIO_PUMP D3
#elif PCB_REV == 4
    #define GPIO_BUTTON D4
    #define GPIO_LED D3
    #define GPIO_TRIGGER D6
    #define GPIO_PUMP D0
    #define GPIO_CS_CAN D8
#endif

#ifndef HOST_NAME
#define HOST_NAME "ChainLube_%06X" // Use printf-Formatting - Chip-ID (uin32_t) will be added
#endif

#define SW_VERSION_MAJOR 1
#define SW_VERSION_MINOR 0

#ifndef OTA_DELAY
#define OTA_DELAY 50 // ticks -> 10ms / tick
#endif

#define SHUTDOWN_DELAY_MS 5000

#define ATOMIC_FS_UPDATE

#endif